export default {
    version: "3.1.0-beta.1",
    steps: [
        {
            titleIcon: "fa fa-map-o",
            title: {
                "en-US": "Welcome to Node-RED 3.1 Beta 1!",
                "ja": "Node-RED 3.1 ベータ1へようこそ!"
            },
            description: {
                "en-US": "<p>This is the first beta release for 3.1.0 and we have a few new features to tell you about.</p>",
                "ja": "<p>これは3.1.0の最初のベータリリースです。いくつかの新機能について説明します。</p>"
            }
        },
        {
            title: {
                "en-US": "Improved Context Menu",
                "ja": "コンテキストメニューの改善"
            },
            image: 'images/context-menu.png',
            description: {
                "en-US": `<p>The editor's context menu has been expanded to make lots more of
                        the built-in actions available.</p>
                        <p>Adding nodes, working with groups and plenty
                        of other useful tools are now just a click away.</p>
                        <p>The flow tab bar also has its own context menu to make working
                        with your flows much easier.</p>`,
                "ja": `<p>より多くの組み込み動作を利用できるように、エディタのコンテキストメニューが拡張されました。</p>
                       <p>ノードの追加、グループの操作、その他の便利なツールをクリックするだけで実行できるようになりました。</p>
                       <p>フローのタブバーには、フローの操作をより簡単にする独自のコンテキストメニューもあります。</p>`
            }
        },
        {
            title: {
                "en-US": "Hiding Flows",
                "ja": "フローを非表示"
            },
            image: 'images/hiding-flows.png',
            description: {
                "en-US": `<p>Hiding flows is now done through the flow context menu.</p>
                          <p>The 'hide' button in previous releases has been removed from the tabs
                             as they were being clicked accidentally too often.</p>`,
                "ja": `<p>フローを非表示にする機能は、フローのコンテキストメニューから実行するようになりました。</p>
                       <p>これまでのリリースでタブに存在していた「非表示」ボタンは、よく誤ってクリックされていたため、削除されました。</p>`
            },
        },
        {
            title: {
                "en-US": "Locking Flows",
                "ja": "フローを固定"
            },
            image: 'images/locking-flows.png',
            description: {
                "en-US": `<p>Flows can now be locked to prevent accidental changes being made.</p>
                          <p>When locked you cannot modify the nodes in any way.</p>
                          <p>The flow context menu provides the options to lock and unlock flows,
                             as well as in the Info sidebar explorer.</p>`,
                "ja": `<p>誤ってフローに変更が加えられてしまうのを防ぐために、フローを固定できるようになりました。</p>
                       <p>固定されている時は、ノードを修正することはできません。</p>
                       <p>フローのコンテキストメニューと、情報サイドバーのエクスプローラには、フローの固定や解除をするためのオプションが用意されています。</p>`
            },
        },
        {
            title: {
                "en-US": "Adding Images to node/flow descriptions",
                "ja": "ノードやフローの説明へ画像を追加"
            },
            // image: 'images/debug-path-tooltip.png',
            description: {
                "en-US": `<p>You can now add images to a node's or flows's description.</p>
                          <p>Simply drag the image into the text editor and it will get added inline.</p>
                          <p>When the description is shown in the Info sidebar, the image will be displayed.</p>`,
                "ja": `<p>ノードまたはフローの説明に、画像を追加できるようになりました。</p>
                       <p>画像をテキストエディタにドラッグするだけで、行内に埋め込まれます。</p>
                       <p>情報サイドバーの説明を開くと、その画像が表示されます。</p>`
            },
        },
        {
            title: {
                "en-US": "Adding Mermaid Diagrams",
                "ja": "Mermaidの図を追加"
            },
            image: 'images/mermaid.png',
            description: {
                "en-US": `<p>You can also add <a href="https://github.com/mermaid-js/mermaid">Mermaid</a> diagrams directly into your node or flow descriptions.</p>
                          <p>This gives you much richer options for documenting your flows.</p>`,
                "ja": `<p>ノードやフローの説明に、<a href="https://github.com/mermaid-js/mermaid">Mermaid</a>の図を直接追加することもできます。</p>
                       <p>これによって、フローを説明する文書作成の選択肢がより多くなります。</p>`
            },
        },
        {
            title: {
                "en-US": "Managing Global Environment Variables",
                "ja": "グローバル環境変数の管理"
            },
            image: 'images/global-env-vars.png',
            description: {
                "en-US": `<p>You can set environment variables that apply to all nodes and flows in the new
                          'Global Environment Variables' section of User Settings.</p>`,
                "ja": `<p>ユーザ設定に新しく追加された「大域環境変数」のセクションで、全てのノードとフローに適用される環境変数を登録できます。</p>`
            },
        },
        {
            title: {
                "en-US": "Node Updates",
                "ja": "ノードの更新"
            },
            // image: "images/",
            description: {
                "en-US": `<p>The core nodes have received lots of minor fixes, documentation updates and
                          small enhancements. Check the full changelog in the Help sidebar for a full list.</p>`,
                "ja": `<p>コアノードにマイナーな修正、ドキュメント更新、小規模な拡張が数多く追加されています。全ての一覧は、ヘルプサイドバーの全ての更新履歴を確認してください。</p>`
            }
        }
    ]
}
